Hello!

I'm happy to announce that version 0.4.2 of rb-readline is available now.
rb-readline is a pure-Ruby port of GNU Readline. 0.4.2 is a bugfix release.

Changes in this release:

=== 0.4.2 / 2011-11-01

* Bugfixes:
  * Use encoding for Ruby 1.9.x to solve non-ascii input. GH-58 [phasis68]

rb-readline is available via RubyGems[1] or downloaded as a zip archive from
GitHub[2].

Users of RubyInstaller for Windows should note that installing the Gem
will not replace the bundled version of rb-readline (which will still be
loaded unless you alter the $LOAD_PATH). To do that, you should download
the ZIP archive and install it into site_ruby using setup.rb. You can
see which version is loaded by checking the value of
RbReadline::RB_READLINE_VERSION.

[1] https://rubygems.org/gems/rb-readline
[2] https://github.com/luislavena/rb-readline/downloads
-- Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exupy